com.android.agf.fragments

## Class Base_WebViewFragment.MyJavaScript

- java.lang.Object
- - com.android.agf.interfaces.JavaScriptInterface
  - - com.android.agf.fragments.Base_WebViewFragment.MyJavaScript

- Direct Known Subclasses:
    Base_WebViewFragment.MyJavaScriptCDA
  Enclosing class:
    Base_WebViewFragment

      public class Base_WebViewFragment.MyJavaScript
      extends JavaScriptInterface

  classe local que implementa la interficie javascript que utilitzara el servidor BI en cas que sigui un CDF
  Author:
    albert

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `mIdWebView`

    - ### Fields inherited from class com.android.agf.interfaces.JavaScriptInterface

      `height, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base_WebViewFragment.MyJavaScript(int id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `inicia()` funcio per avisar del inici del proces
    `void` | `setLegend(String[] elem)` setter llegenda
    `void` | `tanca()` funcio per avisar que s'ha acabat el proces

    - ### Methods inherited from class com.android.agf.interfaces.JavaScriptInterface

      `getChart, getData, getDataLength, getHeight, getLabels, getPaletteColorChart, getTitleSetting, getWidth, setChart, setColor, setHeight, setWidth`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mIdWebView

          protected int mIdWebView

  - ### Constructor Detail

    - #### Base_WebViewFragment.MyJavaScript

          public Base_WebViewFragment.MyJavaScript(int id)

  - ### Method Detail

    - #### inicia

          public void inicia()

      Description copied from class: `JavaScriptInterface`
      funcio per avisar del inici del proces
      Overrides:
        `inicia` in class `JavaScriptInterface`

    - #### tanca

          public void tanca()

      Description copied from class: `JavaScriptInterface`
      funcio per avisar que s'ha acabat el proces
      Overrides:
        `tanca` in class `JavaScriptInterface`

    - #### setLegend

          public void setLegend(String[] elem)

      Description copied from class: `JavaScriptInterface`
      setter llegenda
      Overrides:
        `setLegend` in class `JavaScriptInterface`